import { AttributeValue } from 'aws-sdk/clients/dynamodb';
import { PropertyMetadata } from '../../decorator/metadata/property-metadata.model';
import { MapperForType } from './base.mapper';
/**
 * Enums are mapped to numbers by default
 */
export declare class EnumMapper<E> implements MapperForType<E> {
    constructor();
    toDb(value: E, propertyMetadata?: PropertyMetadata<any>): {
        N: string;
    };
    fromDb(attributeValue: AttributeValue, propertyMetadata?: PropertyMetadata<any>): E;
}
